/*
 * 3D to Heighmap Converter (GPL / Mar.2006 by Oliver Dippel <o.dippel@gmx.de>)
*/

#include <stdio.h>
#include <stdlib.h>

#include "osmesa.h"
#include "g3d.h"

//#include "cnc/cnc-struct.c"
//#include "cnc/cnc-interface.c"

#include "heightmap.h"


void show_usage(char *cmd_name) {
	fprintf(stderr, "\n");
	fprintf(stderr, "3d2hm: 3D to Heigmap Converter (GPL / Mar.2006 by Oliver Dippel <o.dippel@gmx.de>)\n");
	fprintf(stderr, "\n");
	fprintf(stderr, "USAGE:\n");
	fprintf(stderr, "\n");
	fprintf(stderr, "	%s WIDTH HEIGHT 3D_FILE TGA_FILE\n", cmd_name);
	fprintf(stderr, "\n");
}

int main(int argc, char *argv[]) {
	int width;
	int height;
	if (argc != 5) {
		show_usage(argv[0]);
		return 1;
	}
	width = atoi(argv[1]);
	height = atoi(argv[2]);
	if (osmesa_init(width, height) == 0) {
		g3d_load(argv[3]);
		g3d_view();
 		heightmap_export_tga(argv[4], width, height);
// 		heightmap_export_cnc(argv[4], width, height, 255, 2, 1);
//		heightmap_export_cnc_preview(argv[4], width, height, 2);
		g3d_close();
		osmesa_exit();
	}
	return 0;
}



