
#include <stdio.h>
#include <stdlib.h>
#include <GL/gl.h>

#include "g3d.h"

int g3d_load(char *g3d_file) {
	if((context = g3d_context_new()) != NULL) {
		if((model = g3d_model_load(context, g3d_file)) != NULL) {
			return 0;
		}
		g3d_context_free(context);
	}
	return 1;
}

int g3d_close(void) {
	if(context != NULL) {
		if(model != NULL) {
			g3d_model_free(model);
		}
		g3d_context_free(context);
	}
	return 0;
}

int g3d_view(void) {
	G3DObject *object;
	GSList *olist;
	guint32 i, j;
	gfloat m[4][4];
	if(context != NULL && model != NULL) {
		olist = model->objects;
		while(olist != NULL) {
			object = (G3DObject *)olist->data;
			glBegin(GL_TRIANGLES);
			for(i=0; i<object->_num_faces; i++) {
				for(j=0; j<3; j++) {
					glNormal3f(object->_normals[(i*3+j)*3+0], object->_normals[(i*3+j)*3+1], object->_normals[(i*3+j)*3+2]);
					glVertex3f(object->vertex_data[object->_indices[i*3+j]*3+0], object->vertex_data[object->_indices[i*3+j]*3+1], object->vertex_data[object->_indices[i*3+j]*3+2]);
				}
			}
			glEnd();
			olist = olist->next;
		}
	}
	return EXIT_SUCCESS;
}





